package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.ArrayList;
import java.util.List;

/**
 * 仪器序列号关联对象 wx_instrument_serial
 *
 * @author flossom
 * @date 2024-01-10
 */
public class WxInstrumentSerial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 仪器id */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 序列号 */
    @Excel(name = "序列号")
    private String serial;

    /** 绑定状态，1未绑定，2已解绑 */
    @Excel(name = "绑定状态，0已经绑定，1未绑定，2已解绑")
    private Integer bindingStatus;

    /** 序列号有效状态，1有效，0无效 */
    @Excel(name = "序列号有效状态，1有效，0无效")
    private Integer validStatus;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    // 查询用途
    // 仪器集合名称集合
    private List<String> instrumentIdArray;

    private String queryInstrumentIds;

    /** 仪器名称 */
    private String instrumentName;

    /**
     * 自定导出字段
     */
    private List<String> exportFields = new ArrayList<>();

    private List<Long> instrumentSerialIdList = new ArrayList<>();

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setInstrumentId(Long instrumentId)
    {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId()
    {
        return instrumentId;
    }
    public void setInstrumentName(String instrumentName)
    {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName()
    {
        return instrumentName;
    }
    public void setSerial(String serial)
    {
        this.serial = serial;
    }

    public String getSerial()
    {
        return serial;
    }
    public void setBindingStatus(Integer bindingStatus)
    {
        this.bindingStatus = bindingStatus;
    }

    public Integer getBindingStatus()
    {
        return bindingStatus;
    }
    public void setValidStatus(Integer validStatus)
    {
        this.validStatus = validStatus;
    }

    public Integer getValidStatus()
    {
        return validStatus;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public List<String> getInstrumentIdArray() {
        return instrumentIdArray;
    }

    public void setInstrumentIdArray(List<String> instrumentIdArray) {
        this.instrumentIdArray = instrumentIdArray;
    }

    public String getQueryInstrumentIds() {
        return queryInstrumentIds;
    }

    public void setQueryInstrumentIds(String queryInstrumentIds) {
        this.queryInstrumentIds = queryInstrumentIds;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public List<String> getExportFields() {
        return exportFields;
    }

    public void setExportFields(List<String> exportFields) {
        this.exportFields = exportFields;
    }

    public List<Long> getInstrumentSerialIdList() {
        return instrumentSerialIdList;
    }

    public void setInstrumentSerialIdList(List<Long> instrumentSerialIdList) {
        this.instrumentSerialIdList = instrumentSerialIdList;
    }

}
